setwd(dirname(parent.frame(2)$ofile))
library(ggplot2)

#-------------------------------------

adm <- list(time=seq(0, 45, by= 9), amount=1, target='C')

p <- list( name=c('K','KDE_pop','omega_KDE','KPQ_pop','omega_KPQ','KQPP_pop',
                  'omega_KQPP','LAMBDAP_pop','omega_LAMBDAP','GAMMA_pop',
                  'omega_GAMMA','DELTAQP_pop','omega_DELTAQP','a'),
           value=c(100,0.3,0.2,0.025,0.2,0.004,0.2,0.12,0.2,1,0.2,0.01,0.2,3))

f <- list(name='PSTAR', time=seq(-50,to=100,by=0.5))
y <- list(name='y', time=seq(-50,to=100,by=10))
q <- list(name=c('KDE','KPQ','KQPP','LAMBDAP','GAMMA','DELTAQP'))
out <- list(f,y,q)

g <- list(size=6, level='individual')

res <- simulx(model='tgi2_model.txt',parameter=p,output=out,treatment=adm,group=g)

plot1=ggplot() + geom_line(data=res$PSTAR, aes(x=time, y=PSTAR)) +
  geom_point(data=res$y, aes(x=time, y=y), colour="red") +
  facet_wrap( ~ id) + xlab("time (month)") + ylab("tumor size")
print(plot1)

print(res$parameter)
