
myModel = inlineModel("
[LONGITUDINAL]
input = {V, k}
EQUATION:
Cc = pkmodel(V,k)
")

adm <- list(time=seq(0, 200, by=12), 
            amount=100)

p <- list(name=c('V', 'k'), 
          value=c(10, 0.2))

Cc <- list(name='Cc',time=seq(100, 200, by=10))

g <- list(size = 100)

s <- list(data.in=TRUE)

list[res, dataIn] <- simulx(model=myModel,parameter=p,output=Cc,treatment=adm,group=g,settings=s)

#---------------------------------------------
M=100

ptm <- proc.time()
for(i in seq(1,M)){
  res <- simulx(model=myModel,parameter=p,output=Cc,treatment=adm,group=g)
}
print(proc.time() - ptm)


s <- list(load.design=TRUE)
ptm <- proc.time()
for(i in seq(1,M)){
  dd <- simulx(data=dataIn, settings=s)
  #res <- convertmlx(dd,NULL,0) # to convert the output of MlxCompute into a R data frame 
}
print(proc.time() - ptm)

s <- list(load.design=FALSE)
ptm <- proc.time()
for(i in seq(1,M)){
  dd=simulx(data=dataIn, settings=s)  
}
print(proc.time() - ptm)
