setwd(dirname(parent.frame(2)$ofile))
library(ggplot2)
library(gridExtra)

#-------------------------------------

adm <- list( time   = 4, 
             amount = 100)

p <- list( name  = c('w','Tlag_pop','omega_Tlag','ka_pop','omega_ka','V_pop','omega_V',
                     'beta_V_cm1w','Cl_pop','omega_Cl','beta_Cl_cm1w','a','b'), 
           value = c(70, 1, 0.3, 0.8, 0.2, 10, 0.3, 1, 1, 0.2, 0.75, 0., 0.1))

ind <- list( name = c('Tlag','ka','V','Cl'))
f   <- list( name = c('C'), 
             time = seq(0,to=60,by=1))
y   <- list( name = c('y'), 
             time = seq(2,to=50,by=2))
out <- list(ind, y)

g <- list( size      = 4, 
           level     = 'individual', 
           treatment = adm);

res <- simulx( model     = 'model/pk_model.xml',
               parameter = p,
               output    = out,
               group     = g);


#--------------------------------------------------------
plot1=ggplot() + 
  #geom_line(data=res$C, aes(x=time, y=C, colour=id)) +
  geom_point(data=res$y, aes(x=time, y=y, colour=id)) +
  xlab("time (h)") + ylab("concentration") 
print(plot1)

print(res$parameter)
