setwd(dirname(parent.frame(2)$ofile))
library(ggplot2)
library(gridExtra)

#-------------------------------------

adm1 <- list(time=seq(24,to=143,by=24),amount=100, target="Ad")
adm2 <- list(time=seq(24,to=143,by=12),amount= 50, target="Ad")

p <- list(name=c('w','ka_pop','omega_ka','V_pop','omega_V',
                 'beta_V_c1w','Cl_pop','omega_Cl','beta_Cl_c1w',
                 'Imax_pop','omega_Imax','IC50_pop','omega_IC50',
                 'Rin_pop','omega_Rin','kout_pop','omega_kout','a_1','b_1','a_2'), 
          value=c(70, 0.8, 0.2, 10, 0.3, 1, 1, 0.2, 0.75, 0.8, 0.4, 3, 0.1, 10, 
                  0.1, 0.1, 0.1, 0.5, 0.1, 2))

ind <- list(name=c('ka','V','k','Imax','IC50','Rin','kout'))
f <- list(name=c('Cc','PCA'), time=seq(0,to=200,by=1))
y <- list(name=c('y1','y2'), time=seq(1,to=200,by=5))
out <- list(ind, f, y)

g1 <- list(size=4, level='individual', treatment=adm1);
g2 <- list(size=4, level='individual', treatment=adm2);
g <- list(g1,g2)

res <- simulx(model='model/pkpd_model.xml',parameter=p,output=out,group=g);


#--------------------------------------------------------
plot1=ggplot(data=res$Cc, aes(x=time, y=Cc, group=id, colour=group)) +  geom_line(size=0.5) +
  xlab("time (h)") + ylab("concentration (mg/l") + theme(legend.position="none")

plot2=ggplot(data=res$PCA, aes(x=time, y=PCA, group=id, colour=group)) +  geom_line(size=0.5) +
  xlab("time (h)") + ylab("PCA") 

grid.arrange(plot1, plot2, ncol=2)

print(res$parameter)
