setwd(dirname(parent.frame(2)$ofile))
library(ggplot2)
library(gridExtra)

#-------------------------------------

adm1 <- list(time=seq(0,36,by=12),amount=1,   target='C')
adm2 <- list(time=seq(0,45,by= 3),amount=0.25,target='C')

f <- list(name=c('PT','Q','QP','PSTAR'), time = seq(-50,to=100,by=0.5))
p <- list(name = c('K','KDE_pop','omega_KDE','KPQ_pop','omega_KPQ','KQPP_pop','omega_KQPP','LAMBDAP_pop',
                   'omega_LAMBDAP','GAMMA_pop','omega_GAMMA','DELTAQP_pop','omega_DELTAQP','a'),
          value= c(100, 0.3, 0, 0.025, 0, 0.004, 0, 0.12, 0, 1, 0, 0.01, 0, 3 ))

g1 <- list(treatment=adm1)
g2 <- list(treatment=adm2)
g <- list(g1, g2)

res <- simulx(model='model/tgi2_model.xml',parameter=p,output=f,group=g);

plot1=ggplot(data=res$PT, aes(x=time, y=PT, colour=id)) +  geom_line(size=1) +
  xlab("time (month)")  + theme(legend.position="none")

plot2=ggplot(data=res$Q, aes(x=time, y=Q, colour=id)) +  geom_line(size=1) +
  xlab("time (month)") 

plot3=ggplot(data=res$QP, aes(x=time, y=QP, colour=id)) + geom_line(size=1) +
  xlab("time (month)") + theme(legend.position="none")

plot4=ggplot(data=res$PSTAR, aes(x=time, y=PSTAR, colour=id)) + 
  geom_line(size=1) +  xlab("time (month)") 


grid.arrange(plot1, plot2, plot3, plot4, ncol=2)
