processing_treatment <- function(treatment)
{
  #processing_administration 
  #
  #    processing_administration(admin)
  #       return admin struct and the number of differents individuals
  #       dealing with the structure
  #            Set the good format for each field considering time and id
  #            field
  #        
  #
  

  if (mode(treatment[[1]])!="list")
    treatment <- list(treatment)

  # formatage de chaque jeu de parametre
  for (i in 1:length(treatment)){
    treatment[[i]] <- formatAdmin(treatment[[i]])
  }

  
#   ########################################################################
#     # GESTION DES DEPOTS
#   ########################################################################
  k <- 1;
  for (i in 1:length(treatment)){
    if (isfield(treatment[[i]],'target')){
      for (j in 1 : length(treatment[[i]]$id))
        treatment[[i]]$type[[j]]  <-  treatment[[i]]$type[[j]]*k # a changer 
      k <- k+1;
    }
  }

  # obtention du nombre d'individus concernes par chaque jeu d'treatment
  nb_treatment <-  length(treatment)
  nbInds   <-  rep(0,nb_treatment)
  for (i in 1:nb_treatment){
    nbInds[i]=length(unique(treatment[[i]]$id))
  }
  nbInds <- max(nbInds)
    


  ########################################################################
  #CONCATENATION DES DOSES QUAND PLRS ADMINISTRATIONS COMBINEES
  ########################################################################
  
  if (nb_treatment>1){
    # intialisation
    design <- list(id     = treatment[[1]]$id, 
                   time   = treatment[[1]]$time, 
                   amount = treatment[[1]]$amount,
                   type   = treatment[[1]]$type,
                   rate   = treatment[[1]]$rate,
                   label  = treatment[[1]]$label, 
                   name   = treatment[[1]]$name )
    
    
    if (isfield(treatment[[i]],'target'))
      design   <- c(design,   list(target=treatment[[1]]$target))
    
    i <- 2
    while (i<=nb_treatment){
    # concatenation de tous les champs de treatment
      design$id          = c(design$id,           treatment[[i]]$id)  
      design$time[[1]]   = c(design$time[[1]] ,   treatment[[i]]$time[[1]] )
      design$amount[[1]] = c(design$amount[[1]] , treatment[[i]]$amount[[1]] )
      design$rate[[1]]   = c(design$rate[[1]] ,   treatment[[i]]$rate[[1]] )
      design$type[[1]]   = c(design$type[[1]] ,   treatment[[i]]$type[[1]] )
      design$label[[1]]   =  c(design$label[[1]] ,  treatment[[i]]$label[[1]] )      
      design$name[[1]]    =  c(design$name[[1]] ,  treatment[[i]]$name[[1]] )
      if (isfield(treatment[[i]],'target'))
        design$target[[1]]    = c(design$target[[1]] ,  treatment[[i]]$target[[1]] )     
      i <- i+1
    }
      design$id  <- unique(design$id)       
      treatment      <- design
  }else
      treatment <- treatment[[1]]
    
treatment <- list(treatment=treatment, nbInds=nbInds)
return(treatment)
}

formatAdmin  <- function (admin)
{
  #formatAdmin 
  #
  #   admin = formatAdmin(admin)
  #       checks fields in admin structure and formats it by setting default field value
  #            Set the good global format and settle each field considering time and id
  #            field
  
  ## get all default field values
  defaultid      <- defaultFieldValue('id')
  defaultname    <- defaultFieldValue('name')
  defaultlabel   <- defaultFieldValue('label')
  defaultrate    <- defaultFieldValue('rate')
  defaulttype    <- defaultFieldValue('type')
  defaultamount  <- defaultFieldValue('amount')
  
  if(mode(admin)=="list"){
    hasVALUE   <- isfield(admin,"value")
    hasHEADER  <- isfield(admin,"header")
    hasTYPE    <- isfield(admin,"type")
    
    ## if header and value field are both given, we format the structure according to header.
    if (!hasVALUE && hasHEADER){
      stop('admin with a HEADER must have VALUE as a field')
    } else if (!hasHEADER && hasVALUE){
      stop('admin with a VALUE must have HEADER as a field')
    } else if (hasHEADER && hasVALUE)
      admin = addFieldsFromHeader(admin)
    
    ## An administration has to have "time as a field" . 
    hasTIME   = any(names(admin) =="time")
    if (hasTIME){
      hasTARGET  <- any(names(admin) =="target")
      if (hasTARGET){
        if (hasTYPE)
          stop('admin with a target should not have type as a field')
      }
      
      # create default field with default value if the field does not exist   
      if (isfield(admin,"id")     == FALSE) admin$id     <- defaultid
      if (isfield(admin,"amount") == FALSE) admin$amount <- defaultamount
      if (isfield(admin,"type")   == FALSE) admin$type   <- defaulttype
      if (isfield(admin,"rate")   == FALSE) admin$rate   <- defaultrate
      if (isfield(admin,"label")  == FALSE) admin$label  <- defaultlabel
      if (isfield(admin,"name")   == FALSE) admin$name   <- defaultname
      
      # check that the number of field in admin structure is correct. 
      # It should not be up to nbFields
      # Expected field: name, id, type, amount, rate, time, label,
      # target, tlag et p
      nbFields <- 10;      
      if (length(names(admin)) > nbFields)
        stop('presence of unexpected fields in admin')
      
      # get id dimension 
      dimID <- length(admin$id)
      
      # get time dimension
      admin$time <- tolist(admin$time) 
      
      dimTIME <- rep(0,length(admin$time));   
      for (i in 1:length(admin$time)){
        dimTIME[i]  <-  length(admin$time[[i]])
      }
      
      ## processing of numerical fields
      if (is.numeric(admin$type)){
        a = proc_numerical(admin, 'type', dimID, dimTIME)
        #       type       <- admin$type
        #       a <- NULL
        #       for (i in 1:dimID){ 
        #            a[[i]] <-  tovector(type,dimTIME[i])
        #       }
        #       if (!(is.list(a)))
        #           a = vectToList(a)
        admin$type= tolist(a)
      }
      
      if (is.numeric(admin$amount)){
        a = proc_numerical(admin, 'amount', dimID, dimTIME)
        #       amount  <- admin$amount
        #       admin$amount <- NULL
        #       for (i in 1:dimID){ 
        #         admin$amount[[i]] <-  tovector(amount,dimTIME[i])
        #       }
        #       if (!(is.list(admin$amount)))
        #         admin$amount = vectToList(admin$amount)
        admin$amount= tolist(a)
      }
      
      if (is.numeric(admin$rate)){
        a = proc_numerical(admin, 'rate', dimID, dimTIME)
        #      rate  <- admin$rate
        #      admin$rate <- NULL
        #       for (i in 1:dimID){ 
        #         admin$rate[[i]] <-  tovector(rate,dimTIME[i])
        #       }
        #      if (!(is.list(admin$rate))) admin$rate = vectToList(admin$rate)
        admin$rate = tolist(a)
      }   
      
      
      
      ## processing of textual fields ( mandatory for concaténation of administartions in processing_administration )
      admin$name= tolist(admin$name)
      admin$label= tolist(admin$label)
      if (length(dimTIME)==1){
        admin$name   = replicateLField(admin$name,dimTIME[i])
        admin$label  = replicateLField(admin$label,dimTIME[i])
      }else{
        admin$name   = replicateListField(admin$name,dimID)
        admin$label   = replicateListField(admin$label,dimID)
      }
      
      ## processing of the depot field
      if (hasTARGET){
        admin$target  = replicateLField(admin$target,dimTIME[i]);
        if (isfield(admin,'tlag'))
          admin$tlag = tovector(admin.tlag,dimTIME[i]);  
        if (isfield(admin,'p'))
          admin$p    = tovector(admin.p,dimTIME[i]);   
      }  
    }else
      stop('admin must have TIME as a field') 
  }else
    stop('admin must be a list')
  return(admin)
}


proc_numerical  <- function(structure, field, dimID, dimTIME)
{
  ## processing of numerical field if it needs 
  field       <- structure[[field]]
  a <- NULL
  for (i in 1:dimID){ 
    a[[i]] <-  tovector(field,dimTIME[i])
  }
  if (!(is.list(a)))
    a = vectToList(a)
  
  return(a)
  
}

